package com.ywt.mg.domain.entities;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface MgRightRepository extends PagingAndSortingRepository<MgRight, Integer> {

    @Query(value = "select * from mg_right where sys_module_id = ? ;",nativeQuery = true)
    public List<MgRight> findAllRightBySysModuleId(int sysModuleId);
}
